# $Revision: 1.15 $, $Date: 2010/07/08 13:55:56 $

%define		qtver	4.5.0

Summary:	qzion
Summary(pl.UTF-8):	qzion
Name:		qzion
Version:	0.4.0
Release:	0.git.3
License:	GPL v2
Group:		X11/Libraries
#Source0:	http://dev.openbossa.org/qedje/downloads/source/%{name}/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}-git.tar.gz
# Source0-md5:	628ef8996686e16131973d8f08d54d49
Patch0:		%{name}-python.patch
Patch1:		%{name}-build.patch
URL:		http://dev.openbossa.org/trac/qzion
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	cmake
BuildRequires:	eet-devel
BuildRequires:	pkgconfig
BuildRequires:	python-PyQt4-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.164
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qzion

%description -l pl.UTF-8
qzion

%package devel
Summary:	Header files for qzion library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qzion
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	python-sip-devel

%description devel
Header files for qzion library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qzion.

%prep
%setup -q -n %{name}-%{version}-git
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqzion.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqzion.so.?
%dir %{py_sitedir}/qzion
%{py_sitedir}/qzion/__init__.py
%{py_sitedir}/qzion/__init__.pyc
%{py_sitedir}/qzion/qzion.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqzion.so
%{_includedir}/*.h
%{_pkgconfigdir}/qzion.pc
%{_datadir}/sip/qzion

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qzion.spec,v $
Revision 1.15  2010/07/08 13:55:56  arekm
- rel .3; pc files installed now

Revision 1.14  2010/07/08 10:42:34  arekm
- rel .2

Revision 1.13  2009/12/03 21:58:21  sparky
- BR: cmake, qt4-build, rpm-pythonprov

Revision 1.12  2009/08/03 15:23:11  arekm
- cmake case sensitive var values

Revision 1.11  2009/06/01 20:55:47  cactus
- patch for python added

Revision 1.10  2009/05/25 19:55:54  paszczus
- added %dir %{py_sitedir}/qzion

Revision 1.9  2009/05/25 19:46:51  paszczus
- added BR: python-PyQt4-devel

Revision 1.8  2009/05/11 17:18:15  shadzik
- less tabs

Revision 1.7  2009/05/11 17:17:20  shadzik
- rm patch0

Revision 1.6  2009/05/11 17:15:47  shadzik
- 0.4.0 git

Revision 1.5  2009/02/06 17:01:01  witekfl
- utf8

Revision 1.4  2008/11/06 03:01:07  shadzik
- add patch0 to fix build on 64bit
- rel 1

Revision 1.3  2008/11/02 16:47:52  shadzik
- added BRs
- fixed build
- added -devel subpackage
- packaged all files
- TODO: needs a better description

Revision 1.2  2008/11/02 16:32:14  shadzik
- BR: eet-devel

Revision 1.1  2008/11/02 16:16:27  rotom
- initial (NFY)

